Show / Hide Table of Contents

# Struct AtkResNode

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkResNode

### Fields

| Improve this Doc View Source

#### AddBlue

##### Declaration

    public ushort AddBlue

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddBlue_2

##### Declaration

    public ushort AddBlue_2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddGreen

##### Declaration

    public ushort AddGreen

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddGreen_2

##### Declaration

    public ushort AddGreen_2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddRed

##### Declaration

    public ushort AddRed

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AddRed_2

##### Declaration

    public ushort AddRed_2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Alpha_2

##### Declaration

    public byte Alpha_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AtkEventTarget

##### Declaration

    public AtkEventTarget AtkEventTarget

##### Field Value

Type | Description
--- | ---
AtkEventTarget |

| Improve this Doc View Source

#### ChildCount

##### Declaration

    public ushort ChildCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ChildNode

##### Declaration

    public AtkResNode*ChildNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Color

##### Declaration

    public ByteColor Color

##### Field Value

Type | Description
--- | ---
ByteColor |

| Improve this Doc View Source

#### Depth

##### Declaration

    public float Depth

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Depth_2

##### Declaration

    public float Depth_2

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DrawFlags

##### Declaration

    public uint DrawFlags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### EventObject

##### Declaration

    public void *EventObject

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Flags

##### Declaration

    public short Flags

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Flags_2

##### Declaration

    public uint Flags_2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Height

##### Declaration

    public ushort Height

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MultiplyBlue

##### Declaration

    public byte MultiplyBlue

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyBlue_2

##### Declaration

    public byte MultiplyBlue_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyGreen

##### Declaration

    public byte MultiplyGreen

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyGreen_2

##### Declaration

    public byte MultiplyGreen_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyRed

##### Declaration

    public byte MultiplyRed

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MultiplyRed_2

##### Declaration

    public byte MultiplyRed_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NextSiblingNode

##### Declaration

    public AtkResNode*NextSiblingNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### NodeID

##### Declaration

    public uint NodeID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### OriginX

##### Declaration

    public float OriginX

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### OriginY

##### Declaration

    public float OriginY

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ParentNode

##### Declaration

    public AtkResNode*ParentNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### PrevSiblingNode

##### Declaration

    public AtkResNode*PrevSiblingNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Priority

##### Declaration

    public ushort Priority

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Rotation

##### Declaration

    public float Rotation

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScaleX

##### Declaration

    public float ScaleX

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScaleY

##### Declaration

    public float ScaleY

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TimelineObject

##### Declaration

    public void *TimelineObject

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Type

##### Declaration

    public NodeType Type

##### Field Value

Type | Description
--- | ---
NodeType |

| Improve this Doc View Source

#### UnkByte_1

##### Declaration

    public byte UnkByte_1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UnkMatrix

##### Declaration

    public float *UnkMatrix

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### Width

##### Declaration

    public ushort Width

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### X

##### Declaration

    public float X

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y

##### Declaration

    public float Y

##### Field Value

Type | Description
--- | ---
System.Single |

### Properties

| Improve this Doc View Source

#### IsVisible

##### Declaration

    public readonly bool IsVisible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### AddEvent(UInt16, UInt32, AtkEventListener*, AtkResNode*, Boolean)

##### Declaration

    [MemberFunction("E8 ? ? ? ? C1 E7 0C")]
    public void AddEvent(ushort eventType, uint eventParam, AtkEventListener*listener, AtkResNode*nodeParam, bool isSystemEvent)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | eventType |
System.UInt32 | eventParam |
AtkEventListener* | listener |
AtkResNode* | nodeParam |
System.Boolean | isSystemEvent |

| Improve this Doc View Source

#### Ctor()

##### Declaration

    [MemberFunction("E9 ? ? ? ? 33 C0 48 83 C4 20 5B C3 66 90")]
    public void Ctor()

| Improve this Doc View Source

#### Destroy(Boolean)

##### Declaration

    [VirtualFunction(1)]
    public void Destroy(bool free)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | free |

| Improve this Doc View Source

#### GetAsAtkCollisionNode()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 48 8D 1C 76")]
    public AtkCollisionNode*GetAsAtkCollisionNode()

##### Returns

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### GetAsAtkComponentNode()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 44 8D 4F 30")]
    public AtkComponentNode*GetAsAtkComponentNode()

##### Returns

Type | Description
--- | ---
AtkComponentNode* |

| Improve this Doc View Source

#### GetAsAtkCounterNode()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8D 0C BF 03 C9")]
    public AtkCounterNode*GetAsAtkCounterNode()

##### Returns

Type | Description
--- | ---
AtkCounterNode* |

| Improve this Doc View Source

#### GetAsAtkImageNode()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8B 57 6C")]
    public AtkImageNode*GetAsAtkImageNode()

##### Returns

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### GetAsAtkNineGridNode()

##### Declaration

    [MemberFunction("E8 ? ? ? ? B2 01 48 89 47 08")]
    public AtkNineGridNode*GetAsAtkNineGridNode()

##### Returns

Type | Description
--- | ---
AtkNineGridNode* |

| Improve this Doc View Source

#### GetAsAtkTextNode()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8D 4D 4B")]
    public AtkTextNode*GetAsAtkTextNode()

##### Returns

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### GetComponent()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8B 4D FC")]
    public AtkComponentBase*GetComponent()

##### Returns

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### GetHeight()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8B 54 3B 08")]
    public ushort GetHeight()

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### GetPositionFloat(Single*, Single*)

##### Declaration

    [MemberFunction("48 85 C9 74 0B 8B 41 44")]
    public void GetPositionFloat(float *outX, float *outY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | outX |
System.Single* | outY |

| Improve this Doc View Source

#### GetPositionShort(Int16*, Int16*)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 49 83 C4 0C")]
    public void GetPositionShort(short *outX, short *outY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16* | outX |
System.Int16* | outY |

| Improve this Doc View Source

#### GetPriority()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 66 3B C3 74 13")]
    public ushort GetPriority()

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### GetScale(Single*, Single*)

##### Declaration

    [MemberFunction("48 85 C9 74 0B 8B 41 4C")]
    public void GetScale(float *outX, float *outY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | outX |
System.Single* | outY |

| Improve this Doc View Source

#### GetScaleX()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 48 8B CB F3 0F 59 C6")]
    public float GetScaleX()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetScaleY()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 49 8D 7E 1E")]
    public float GetScaleY()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetWidth()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 66 03 C0")]
    public ushort GetWidth()

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RemoveEvent(UInt16, UInt32, AtkEventListener*, Boolean)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 44 38 7D 67")]
    public void RemoveEvent(ushort eventType, uint eventParam, AtkEventListener*listener, bool isSystemEvent)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | eventType |
System.UInt32 | eventParam |
AtkEventListener* | listener |
System.Boolean | isSystemEvent |

| Improve this Doc View Source

#### SetHeight(UInt16)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 80 7B 5D 00")]
    public void SetHeight(ushort height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | height |

| Improve this Doc View Source

#### SetPositionFloat(Single, Single)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8B 45 B8")]
    public void SetPositionFloat(float X, float Y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | X |
System.Single | Y |

| Improve this Doc View Source

#### SetPositionShort(Int16, Int16)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8D 56 B5")]
    public void SetPositionShort(short X, short Y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | X |
System.Int16 | Y |

| Improve this Doc View Source

#### SetPriority(UInt16)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8D 45 F0")]
    public void SetPriority(ushort priority)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | priority |

| Improve this Doc View Source

#### SetScale(Single, Single)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 48 8D 7F 38")]
    public void SetScale(float X, float Y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | X |
System.Single | Y |

| Improve this Doc View Source

#### SetUseDepthBasedPriority(Boolean)

##### Declaration

    [MemberFunction("E8 ? ? ? ? FF C6 3B F5 72 E5 BA ? ? ? ?")]
    public void SetUseDepthBasedPriority(bool enable)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | enable |

| Improve this Doc View Source

#### SetWidth(UInt16)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 66 2B F7")]
    public void SetWidth(ushort width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | width |

| Improve this Doc View Source

#### ToggleVisibility(Boolean)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? D1 EE")]
    public void ToggleVisibility(bool enable)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | enable |